


<?php

/***************************************************************************\
 *  SPIP, Systeme de publication pour l'internet                           *
 *                                                                         *
 *  Copyright (c) 2001-2007                                                *
 *  Arnaud Martin, Antoine Pitrou, Philippe Riviere, Emmanuel Saint-James  *
 *                                                                         *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
 *  Pour plus de details voir le fichier COPYING.txt ou l'aide en ligne.   *
\***************************************************************************/

//   On surcharge en insrant le formulaire de configuration.

if (!defined("_ECRIRE_INC_VERSION")) return;

// http://doc.spip.org/@exec_configuration_dist
function exec_configuration_dist()
{
  global $champs_extra, $connect_statut, $connect_toutes_rubriques, $options, $spip_lang_left, $spip_lang_right,$changer_config, $spip_display;

include_spip('inc/presentation');
include_spip('inc/config');

 if ($connect_statut != '0minirezo') {
    echo _T('avis_non_acces_page');
    echo fin_gauche(), fin_page();
    exit;
}

 if (!$connect_toutes_rubriques) {
    include_spip('inc/headers');
    redirige_par_entete(generer_url_ecrire('admin_tech','',true));
 }

//
// Modifications
//


init_config();
if ($changer_config == 'oui') {
    appliquer_modifs_config();
}
else {
    $forums_publics = $GLOBALS['meta']["forums_publics"];
    if (!$forums_publics) {
        ecrire_meta("forums_publics", "posteriori");
        ecrire_metas();
    }
 }
lire_metas();

pipeline('exec_init',array('args'=>array('exec'=>'configuration'),'data'=>''));

$commencer_page = charger_fonction('commencer_page', 'inc');
echo $commencer_page(_T('titre_page_configuration'), "configuration", "configuration");

echo "<br /><br /><br />\n";
gros_titre(_T('titre_configuration'));
echo barre_onglets("configuration", "contenu");


debut_gauche();

//
// Le logo de notre site, c'est site{on,off}0.{gif,png,jpg}
//
 if ($spip_display != 4) {
      $iconifier = charger_fonction('iconifier', 'inc');
      echo $iconifier('id_syndic', 0, 'configuration', true);
 }

echo pipeline('affiche_gauche',array('args'=>array('exec'=>'configuration'),'data'=>''));
creer_colonne_droite();
echo pipeline('affiche_droite',array('args'=>array('exec'=>'configuration'),'data'=>''));
debut_droite();

echo avertissement_config();

//
// Afficher les options de config
//
    $action = generer_url_ecrire('configuration');

        echo "<form action='$action' method='post'><div>", form_hidden($action);
    echo "<input type='hidden' name='changer_config' value='oui' />";
    debut_cadre_couleur("racine-site-24.gif");

    // initialiser adresse_site au besoin
    if (strlen($GLOBALS['meta']["adresse_site"])<10) {
        ecrire_meta('adresse_site', preg_replace(",/$,", "", url_de_base()),'non');
        ecrire_metas();
    }
    $adresse_site = entites_html($GLOBALS['meta']["adresse_site"]);

    $nom_site = entites_html($GLOBALS['meta']["nom_site"]);
    $email_webmaster = entites_html($GLOBALS['meta']["email_webmaster"]);
    $descriptif_site = entites_html($GLOBALS['meta']["descriptif_site"]);


    debut_cadre_relief("", false, "", _T('info_nom_site').aide ("confnom"));
    echo "<input type='text' name='nom_site' value=\"$nom_site\" size='40' class='forml' />";
    fin_cadre_relief();

    debut_cadre_relief("", false, "", _T('info_adresse_url'));
    echo "<input type='text' name='adresse_site' value=\"$adresse_site/\" size='40' class='forml' />";
    fin_cadre_relief();

    debut_cadre_relief("", false, "", _T('entree_description_site'));
    echo "<textarea name='descriptif_site' class='forml' rows='4' cols='40'>$descriptif_site</textarea>";
    fin_cadre_relief();

    if ($options == "avancees") {
        echo "<div>&nbsp;</div>";
    
        debut_cadre_relief("", false, "", _T('info_email_webmestre'));
        echo "<input type='text' name='email_webmaster' value=\"$email_webmaster\" size='40' class='formo' />";
        fin_cadre_relief();
    }

    echo "<div style='text-align:right;'><input type='submit' name='Valider' value='"._T('bouton_enregistrer')."' class='fondo' /></div>";

fin_cadre_couleur();

echo "<p>&nbsp;</p>";

// ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------   
//
// -------------------------------------------------- Formulaire de gestion des champs extras --------------------------------------------------------------------
//
// ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------   

 include_spip('inc/extra');
 
 function get_extra ($id, $objet) {
    if(!$id) {
    return false;
    }
    // On construit qqch qui ressemble  "SELECT extra FROM spip_articles WHERE id_article=$id_article"
    $query = "SELECT statut, extra FROM spip_".$objet."s";
    $query .= " WHERE id_".$objet."=".$id;
    $res = spip_query($query);
    $cells = spip_fetch_array($res);

    if(!$cells["extra"]) {  
        return false ;
        }
    $extra = unserialize ($cells["extra"]);
    return $extra;
}
    
function set_extra ($id, $extra, $objet) {
    if(!$id) return false;
    $extra = addslashes(serialize($extra));
    // On construit qqch qui ressemble  "UPDATE spip_articles SET extra='$extra' WHERE id_article=$id_article"
    $query = "UPDATE spip_".$objet."s";
    $query .= " SET extra='$extra' ";
    $query .= " WHERE id_".$objet."=".$id;
    return spip_query($query);
}

// function get_auteurs() {
// On construit qqch qui ressemble  "SELECT extra FROM spip_articles WHERE id_article=$id_article"
//  $query1 = "SELECT id_auteur FROM spip_auteurs";
//  $res1 = spip_query($query1);
//  $cells1 = spip_fetch_array($res1);
//  return $cells1;
//} 

// $auteurs = get_auteurs();

// On rcupre ici les extras.
//-----------------------------------------------------------------------------------------------------------------------------------------------------------
$extra = get_extra('1','auteur');

//**************************************************************************************************
//----------------------Formulaire de configuration de l'interface publique-----------------------------------------------------------
//**************************************************************************************************

debut_cadre_trait_couleur("", false, "", _T('Configuration  de l\'interface publique'));


//************************************************************************************************************
// ------------------------------------------------------------------------------------  Les couleurs  ------------------------------------------ 
//**************************************************************************************************

debut_cadre_relief("", false, "", _T('Les couleurs'));
 
 
    if ($choix=="un") $block1= "'none', 'block'";
    else {
	$block1= "'block', 'none'";
          $block2 = "'none', 'block'";
          $block3 = "'none', 'block'";
          $block4 = "'none', 'block'";
          $block5 = "'none', 'block'";
		   $block6 = "'none', 'block'";
    }
    echo bouton_radio("choix", "un", _T('G&eacute;n&eacute;ral'), $choix=="un", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");
            
    if ($choix == "deux") $block2 = "'none', 'block'"; 
    else 
    {     $block2= "'block', 'none'";
          $block1 = "'none', 'block'";
          $block3 = "'none', 'block'";
          $block4 = "'none', 'block'";
          $block5 = "'none', 'block'";
		    $block6 = "'none', 'block'";
    }
    
    echo bouton_radio("choix", "deux", _T('Menu et autres liens du site'), $choix == "deux", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");

    if ($choix == "trois") $block3 = "'none', 'block'"; 
    else 
    {     $block3= "'block', 'none'";
          $block1 = "'none', 'block'";
          $block2 = "'none', 'block'";
          $block4 = "'none', 'block'";
          $block5 = "'none', 'block'";
		    $block6 = "'none', 'block'";
    }
    echo bouton_radio("choix", "trois", _T('Articles'), $choix == "trois", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");
echo "<br/>";

    if ($choix == "quatre") $block4 = "'none', 'block'"; 
    else 
    {     $block4= "'block', 'none'";
          $block1 = "'none', 'block'";
          $block2 = "'none', 'block'";
          $block3 = "'none', 'block'";
          $block5 = "'none', 'block'";
		   $block6 = "'none', 'block'";
    }
    echo bouton_radio("choix", "quatre", _T('Rubriques'), $choix == "quatre", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");
	
 if ($choix == "six") $block6 = "'none', 'block'"; 
    else 
    {     $block6= "'block', 'none'";
          $block1 = "'none', 'block'";
          $block2 = "'none', 'block'";
		   $block3 = "'none', 'block'";
          $block4 = "'none', 'block'";
          $block5 = "'none', 'block'";
    }

    echo bouton_radio("choix", "six", _T('Les plus lus et les derniers'), $choix == "six", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");


    if ($choix == "cinq") $block5 = "'none', 'block'"; 
    else 
    {     $block5= "'block', 'none'";
          $block1 = "'none', 'block'";
          $block2 = "'none', 'block'";
          $block3 = "'none', 'block'";
          $block4 = "'none', 'block'";
		    $block6 = "'none', 'block'";
    }
    echo bouton_radio("choix", "cinq", _T('Les autres blocs'), $choix == "cinq", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");
  
  echo "<br/>";  
  
  if ($choix == "sept") $block = "'none', 'block'"; 
    else 
    {     $block5= "'none', 'block'";
          $block1 = "'none', 'block'";
          $block2 = "'none', 'block'";
          $block3 = "'none', 'block'";
          $block4 = "'none', 'block'";
		     $block6 = "'none', 'block'";
    }
    echo bouton_radio("choix", "sept", _T('Replier'), $choix == "sept", "changeVisible(this.checked, 'choix1', $block1); 
    changeVisible(this.checked, 'choix2', $block2); changeVisible(this.checked, 'choix3', $block3); changeVisible(this.checked, 'choix4', $block4);
    changeVisible(this.checked, 'choix5', $block5); changeVisible(this.checked, 'choix6', $block6);");
echo "<br/>";
 echo "<br/>";

//
//------------------------------------------------------------------------Choix1 : gnral--------------------------------------------------------------------------------------------------------  
//
echo "<div id='choix1' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 0px;'>";

    debut_cadre_relief("", false, "", _T('G&eacute;n&eacute;ral'));
 
 if (!isset($_POST[bandeau])){
 echo "couleur du bandeau :"."<INPUT TYPE =\"text\" NAME=\"bandeau\" size='40' class='forml' VALUE=".$extra['bandeau']." ><br/>";
 }
 else {
 echo "couleur du bandeau :"."<INPUT TYPE =\"text\" NAME=\"bandeau\" size='40' class='forml' VALUE=".$_POST[bandeau]." ><br/>";
 }
 
 if (!isset($_POST[bandtex])){
 echo "couleur du texte du bandeau :"."<INPUT TYPE =\"text\" NAME=\"bandtex\" size='40' class='forml' VALUE=".$extra['bandtex']."><br/>";
 }
 else {
 echo "couleur du texte du bandeau :"."<INPUT TYPE =\"text\" NAME=\"bandtex\" size='40' class='forml' VALUE=".$_POST[bandtex]." ><br/>";
 }
 
 if (!isset($_POST[chemin])){
 echo "couleur du bandeau chemin :"."<INPUT TYPE =\"text\" NAME=\"chemin\" size='40' class='forml' VALUE=".$extra['chemin']."><br/>";
 }
 else {
 echo "couleur du bandeau chemin :"."<INPUT TYPE =\"text\" NAME=\"chemin\" size='40' class='forml' VALUE=".$_POST[chemin]." ><br/>";
 }
 
 if (!isset($_POST[chemtex])){
 echo "couleur du texte du bandeau chemin :"."<INPUT TYPE =\"text\" NAME=\"chemtex\" size='40' class='forml' VALUE=".$extra['chemtex']." ><br/>";
 }
 else {
 echo "couleur du texte du bandeau chemin :"."<INPUT TYPE =\"text\" NAME=\"chemtex\" size='40' class='forml' VALUE=".$_POST[chemtex]." ><br/>";
 }
 
 if (!isset($_POST[pfond])){
 echo "couleur du fond :"."<INPUT TYPE =\"text\" NAME=\"pfond\" size='40' class='forml' VALUE=".$extra['pfond']." ><br/>";
 }
 else {
 echo "couleur du fond :"."<INPUT TYPE =\"text\" NAME=\"pfond\" size='40' class='forml' VALUE=".$_POST[pfond]." ><br/>";
 }
 
  if (!isset($_POST[textg])){
 echo "couleur du texte :"."<INPUT TYPE =\"text\" NAME=\"textg\" size='40' class='forml' VALUE=".$extra['textg']." ><br/>";
 }
 else {
 echo "couleur du texte :"."<INPUT TYPE =\"text\" NAME=\"textg\" size='40' class='forml' VALUE=".$_POST[textg]." ><br/>";
 }
    fin_cadre_relief();
echo "</div>";

//----------------------------------------------------------------------------------Choix2 : les couleurs des menus et des autres liens------------------------------------------------------------------------------------     

echo "<div id='choix2' class='display_au_chargement' style='margin-left: 0px;'>";
    
debut_cadre_relief("", false, "", _T('Menu et autres liens du site'));
 if (!isset($_POST[lienmen])){
 echo "couleur des liens du menu :"."<INPUT TYPE =\"text\" NAME=\"lienmen\" size='40' class='forml' VALUE=".$extra['lienmen']." ><br/>";
 }
 else {
 echo "couleur des liens du menu :"."<INPUT TYPE =\"text\" NAME=\"lienmen\" size='40' class='forml' VALUE=".$_POST[lienmen]." ><br/>";
 }
 
 if (!isset($_POST[liensur])){
 echo "couleur des liens survol&eacute;s du menu :"."<INPUT TYPE =\"text\" NAME=\"liensur\" size='40' class='forml' VALUE=".$extra['liensur']." ><br/>";
 }
 else {
 echo "couleur des liens survol&eacute;s du menu :"."<INPUT TYPE =\"text\" NAME=\"liensur\" size='40' class='forml' VALUE=".$_POST[liensur]." ><br/>";
 }
 
 if (!isset($_POST[textemenu])){
 echo "couleur du texte pour le menu 1 uniquement :"."<INPUT TYPE =\"text\" NAME=\"textemenu\" size='40' class='forml' VALUE=".$extra['textemenu']." ><br/>";
 }
 else {
 echo "couleur du texte pour le menu 1 uniquement :"."<INPUT TYPE =\"text\" NAME=\"textemenu\" size='40' class='forml' VALUE=".$_POST[textemenu]." ><br/>";
 }
 
 if (!isset($_POST[lien])){
 echo "couleur des autres liens du site :"."<INPUT TYPE =\"text\" NAME=\"lien\" size='40' class='forml' VALUE=".$extra['lien']." ><br/>";
 }
 else {
 echo "couleur des autres liens du site :"."<INPUT TYPE =\"text\" NAME=\"lien\" size='40' class='forml' VALUE=".$_POST[lien]." ><br/>";
 }
 fin_cadre_relief();

 echo "</div>";
    
//---------------------------------------------------------------------------------------------------Choix3 : les couleurs par dfaut des articles--------------------------------------------------------------------------------------------- 
    echo "<div id='choix3' class='display_au_chargement' style='margin-left: 0px;'>";
    
debut_cadre_relief("", false, "", _T('Articles'));
 if (!isset($_POST[fondtexte])){
 echo "couleur du fond des articles :"."<INPUT TYPE =\"text\" NAME=\"fondtexte\" size='40' class='forml' VALUE=".$extra['fondtexte']." ><br/>";
 }
 else {
 echo "couleur du fond des articles :"."<INPUT TYPE =\"text\" NAME=\"fondtexte\" size='40' class='forml' VALUE=".$_POST[fondtexte]." ><br/>";
 }
  if (!isset($_POST[bord])){
 echo "couleur du bord des articles :"."<INPUT TYPE =\"text\" NAME=\"bord\" size='40' class='forml' VALUE=".$extra['bord']." ><br/>";
 }
 else {
 echo "couleur du bord des articles :"."<INPUT TYPE =\"text\" NAME=\"bord\" size='40' class='forml' VALUE=".$_POST[bord]." ><br/>";
 }
 
 if (!isset($_POST[texte])){
 echo "couleur du texte des articles :"."<INPUT TYPE =\"text\" NAME=\"texte\" size='40' class='forml' VALUE=".$extra['texte']." ><br/>";
 }
 else {
 echo "couleur du texte des articles :"."<INPUT TYPE =\"text\" NAME=\"texte\" size='40' class='forml' VALUE=".$_POST[texte]." ><br/>";
 }
 fin_cadre_relief();

    echo "</div>";
    
//---------------------------------------------------------------------------------------Choix4 : les couleurs par dfaut des rubriques-------------------------------------------------------------------------------------------------------------    
    echo "<div id='choix4' class='display_au_chargement' style='margin-left: 0px;'>";
    
    debut_cadre_relief("", false, "", _T('Rubriques'));
 if (!isset($_POST[pargau])){
 echo "couleur de la partie gauche des cartouches :"."<INPUT TYPE =\"text\" NAME=\"pargau\" size='40' class='forml' VALUE=".$extra['pargau']." ><br/>";
 }
 else {
 echo "couleur de la partie gauche des cartouches :"."<INPUT TYPE =\"text\" NAME=\"pargau\" size='40' class='forml' VALUE=".$_POST[pargau]." ><br/>";
 }
 
 if (!isset($_POST[pardroi])){
 echo "couleur du la partie droite des cartouches :"."<INPUT TYPE =\"text\" NAME=\"pardroi\" size='40' class='forml' VALUE=".$extra['pardroi']." ><br/>";
 }
 else {
 echo "couleur du la partie droite des cartouches :"."<INPUT TYPE =\"text\" NAME=\"pardroi\" size='40' class='forml' VALUE=".$_POST[pardroi]." ><br/>";
 }
 
 if (!isset($_POST[bordrep])){
 echo "couleur du bord des cartouches :"."<INPUT TYPE =\"text\" NAME=\"bordrep\" size='40' class='forml' VALUE=".$extra['bordrep']." ><br/>";
 }
 else {
 echo "couleur du bord des cartouches :"."<INPUT TYPE =\"text\" NAME=\"bordrep\" size='40' class='forml' VALUE=".$_POST[bordrep]." ><br/>";
 }
 
 if (!isset($_POST[titrerep])){
 echo "couleur du titre des cartouches :"."<INPUT TYPE =\"text\" NAME=\"titrerep\" size='40' class='forml' VALUE=".$extra['titrerep']." ><br/>";
 }
 else {
 echo "couleur du titre des cartouches :"."<INPUT TYPE =\"text\" NAME=\"titrerep\" size='40' class='forml' VALUE=".$_POST[titrerep]." ><br/>";
 }
 
        fin_cadre_relief();

    echo "</div>";
	
 //---------------------------------------------------------------------------------------------------Choix6 : les plus lus et les derniers--------------------------------------------------------------------------- 

 echo "<div id='choix6' class='display_au_chargement' style='margin-left: 0px;'>";
    
debut_cadre_relief("", false, "", _T('Les plus lus et les derniers'));
 if (!isset($_POST[lpfondtexte])){
 echo "couleur du fond :"."<INPUT TYPE =\"text\" NAME=\"lpfondtexte\" size='40' class='forml' VALUE=".$extra['lpfondtexte']." ><br/>";
 }
 else {
 echo "couleur du fond :"."<INPUT TYPE =\"text\" NAME=\"lpfondtexte\" size='40' class='forml' VALUE=".$_POST[lpfondtexte]." ><br/>";
 }
  if (!isset($_POST[lpbord])){
 echo "couleur du bord :"."<INPUT TYPE =\"text\" NAME=\"lpbord\" size='40' class='forml' VALUE=".$extra['lpbord']." ><br/>";
 }
 else {
 echo "couleur du bord :"."<INPUT TYPE =\"text\" NAME=\"lpbord\" size='40' class='forml' VALUE=".$_POST[lpbord]." ><br/>";
 }
 
 if (!isset($_POST[lptexte])){
 echo "couleur du texte :"."<INPUT TYPE =\"text\" NAME=\"lptexte\" size='40' class='forml' VALUE=".$extra['lptexte']." ><br/>";
 }
 else {
 echo "couleur du texte :"."<INPUT TYPE =\"text\" NAME=\"lptexte\" size='40' class='forml' VALUE=".$_POST[lptexte]." ><br/>";
 }
 fin_cadre_relief();

    echo "</div>";
   
//-------------------------------------------------------------------------------------------Choix5 : les couleurs des autres blocs-------------------------------------------------------------------------------------------  
 echo "<div id='choix5' class='display_au_chargement' style='margin-left: 0px;'>";
    
 debut_cadre_relief("", false, "", _T('Les autres blocs'));
 
 if (!isset($_POST[bandeauagenda])){
 echo "couleur des bandeaux des blocs :"."<INPUT TYPE =\"text\" NAME=\"bandeauagenda\" size='40' class='forml' VALUE=".$extra['bandeauagenda']." ><br/>";
 }
 else {
 echo "couleur des bandeaux des blocs :"."<INPUT TYPE =\"text\" NAME=\"bandeauagenda\" size='40' class='forml' VALUE=".$_POST[bandeauagenda]." ><br/>";
 }
 
 if (!isset($_POST[textebandeau])){
 echo "couleur du texte des bandeaux des blocs :"."<INPUT TYPE =\"text\" NAME=\"textebandeau\" size='40' class='forml' VALUE=".$extra['textebandeau']."><br/>";
 }
 else {
 echo "couleur du texte des bandeaux des blocs :"."<INPUT TYPE =\"text\" NAME=\"textebandeau\" size='40' class='forml' VALUE=".$_POST[textebandeau]." ><br/>";
 }
 
 if (!isset($_POST[texteagenda])){
 echo "couleur du texte des blocs:"."<INPUT TYPE =\"text\" NAME=\"texteagenda\" size='40' class='forml' VALUE=".$extra['texteagenda']."><br/>";
 }
 else {
 echo "couleur du texte des blocs :"."<INPUT TYPE =\"text\" NAME=\"texteagenda\" size='40' class='forml' VALUE=".$_POST[texteagenda]." ><br/>";
 }
 
 if (!isset($_POST[fondagenda])){
 echo "couleur du fond des blocs :"."<INPUT TYPE =\"text\" NAME=\"fondagenda\" size='40' class='forml' VALUE=".$extra['fondagenda']." ><br/>";
 }
 else {
 echo "couleur du fond des blocs :"."<INPUT TYPE =\"text\" NAME=\"fondagenda\" size='40' class='forml' VALUE=".$_POST[fondagenda]." ><br/>";
 }
 
 if (!isset($_POST[bordagenda])){
 echo "couleur du bord des blocs :"."<INPUT TYPE =\"text\" NAME=\"bordagenda\" size='40' class='forml' VALUE=".$extra['bordagenda']." ><br/>";
 }
 else {
 echo "couleur du bord des blocs :"."<INPUT TYPE =\"text\" NAME=\"bordagenda\" size='40' class='forml' VALUE=".$_POST[bordagenda]." ><br/>";
 }
    fin_cadre_relief();
    echo "</div>";  
	
//----------------------------------------------------------------------------------Choix : le  choix des couleurs------------------------------------------------------------------------------------     
 
 echo "<div id='selecteur' style='display:block;' margin-top:20px;'>
 <iframe src='../plugins/paramspip/couleur.html' frameborder='no' style='height:520px; width:100%; border:0; left=0;'></iframe>
 </div>";	

fin_cadre_relief();

//************************************************************************************************************
//---------------------------------Le bandeau-------------------------------------------------------------------------------------
//***********************************************************************************************************

debut_cadre_relief("", false, "", _T('Le bandeau et la marge gauche'));
//
//------------------------------------------------Position du ruban vertical---------------------------------------------------------------------------------   
// 
if (!isset($_POST[rubver])){
 echo "Marge gauche (un nombre entre 0 et 100) : "."<INPUT style=\"display:inline; width:25px; background-color: #e4e4e4; 
	border: 1px solid #aaaaaa;\" TYPE =\"text\" NAME=\"rubver\"  class='forml1' VALUE=".$extra['rubver'].">px<br/>";
 }
 else {
 echo "Marge gauche (un nombre entre 0 et 100) : ".
 "<INPUT style=\"display:inline; width:25px; background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
	TYPE =\"text\" NAME=\"rubver\"  class='forml1' VALUE=".$_POST[rubver]." >px<br/>";
 }
//
//------------------------------------------------Position du nom du site---------------------------------------------------------------------------------   
// 
if (!isset($_POST[posban])){
 echo "Position du nom du site par rapport au bord droit : "."<INPUT style=\"display:inline; width:50px; background-color: #e4e4e4; 
	border: 1px solid #aaaaaa;\" TYPE =\"text\" NAME=\"posban\"  class='forml1' VALUE=".$extra['posban']." ><br/>";
 }
 else {
 echo "Position du nom du site par rapport au bord droit : "."<INPUT style=\"display:inline; width:50px; background-color: #e4e4e4; 
	border: 1px solid #aaaaaa;\" TYPE =\"text\" NAME=\"posban\"  class='forml1' VALUE=".$_POST[posban]." ><br/>";
 }
//
//------------------------------------------------------Logo remplissant tout le bandeau---------------------------------------------------------------------------------   
// 
 
  $rem='non';

 if (!isset($_POST[remplissant])){ $rem=$extra['remplissant'];}
 else { $rem=$_POST[remplissant]; }
 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($rem=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 else { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "Logo remplisssant tout le bandeau :"."<INPUT TYPE =\"radio\" NAME=\"remplissant\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"remplissant\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>"; 
//
//------------------------------------------------------ Titre visible ---------------------------------------------------------------------------------   
// 
 
//  $app='oui';

// if (!isset($_POST[appar])){ $app=$extra['appar'];}
// else { $app=$_POST[appar]; }
 

// $check1="";  $check2=""; 
// $roui="oui"; $rnon="non";
// if ($app=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
// else { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
// echo "Titre visible :"."<INPUT TYPE =\"radio\" NAME=\"appar\" VALUE='oui' ".$check1.">".$roui
// ."<INPUT TYPE =\"radio\" NAME=\"appar\"  VALUE='non' ".$check2.">".$rnon;
// echo "<br/>"; 
 
//
//------------------------------------------------------ Titre visible ---------------------------------------------------------------------------------   
// 
 
  $appar='oui';

 if (!isset($_POST[appar])){ $appar=$extra['appar'];}
 else { $appar=$_POST[appar]; }
 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($appar=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 else { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "Titre visible :";

$block17= "'block', 'none'";
echo bouton_radio("appar", "oui", _T('oui'), $appar=="oui", "changeVisible(this.checked, 'choix17', $block17); ");
    
$block17= "'none', 'block'";
echo bouton_radio("appar", "non", _T('non'), $appar=="non", "changeVisible(this.checked, 'choix17', $block17);");
echo "<br/>";

if ( $appar=="non") {
$disp="none";
}
else{
$disp="block";
}  

echo "<div id='choix17' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

    debut_cadre_relief("", false, "", _T('Position par rapport au bord droit'));
 
if (!isset($_POST[posban])){
 echo "Entrez la distance en px ou en % : "."<INPUT style=\"display:inline; width:50px; background-color: #e4e4e4; 
	border: 1px solid #aaaaaa;\" TYPE =\"text\" NAME=\"posban\"  class='forml1' VALUE=".$extra['posban']." ><br/>";
 }
 else {
 echo "Entrez la distance en px ou en % : "."<INPUT style=\"display:inline; width:50px; background-color: #e4e4e4; 
	border: 1px solid #aaaaaa;\" TYPE =\"text\" NAME=\"posban\"  class='forml1' VALUE=".$_POST[posban]." ><br/>";
 }
   
    fin_cadre_relief();

echo "</div>";
 
    


 
//
//----------------------------------------------Choix du type de dgrad------------------------------------------------------------------------------------    
//

 $check1="";  $check2="";  $check3="";  $check4="";

 if (!isset($_POST[tbandeau])){ $tban=$extra['tbandeau'];}
 else { $tban=$_POST[tbandeau];}
 
 $tbandeau="non";
 
 if ($tban==1) { $check1="checked";  $tbandeau="oui";}
 if ($tban==2) { $check2="checked"; $tbandeau="oui";}
 if ($tban==3) { $check3="checked"; $tbandeau="oui";}
 if ($tban==4) { $check4="checked"; $tbandeau="oui";}
    
    echo "D&eacute;grad&eacute; du bandeau";
    
$block16= "'block', 'none'";
echo bouton_radio("tbandeau", "oui", _T('oui'), $tbandeau=="oui", "changeVisible(this.checked, 'choix16', $block16); ");
    
    $block16= "'none', 'block'";
    echo bouton_radio("tbandeau", "non", _T('non'), $tbandeau=="non", "changeVisible(this.checked, 'choix16', $block16);");
    echo "<br/>";

if ( $tbandeau=="non") {
$disp="none";
}
else{
$disp="block";
}  

echo "<div id='choix16' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

    debut_cadre_relief("", false, "", _T('Type de d&eacute;grad&eacute; du bandeau'));
 
echo "<INPUT TYPE =\"radio\" NAME=\"tbandeau\"  VALUE='1' ".$check1.">1"."<INPUT TYPE =\"radio\" NAME=\"tbandeau\"  VALUE='2' ".$check2.">2"
  ."<INPUT TYPE =\"radio\" NAME=\"tbandeau\"  VALUE='3' ".$check3.">3"."<INPUT TYPE =\"radio\" NAME=\"tbandeau\"  VALUE='4' ".$check4.">4";
   echo "<br/>";
   
    fin_cadre_relief();

echo "</div>";
 
  fin_cadre_relief();    

//************************************************************************************************************
//  --------------------------------------------------Configuration de la page d'accueil-----------------------------------------------------------------
//************************************************************************************************************

    debut_cadre_relief("", false, "", _T('La page d\'accueil'));

//--------------------------------------------------------Type de prsentation (nombre de colonnes et nombre d'lments par colonne)--------------------------  
//

 if (isset($_POST[choixsom])){ $choixso=$_POST[choixsom];}
 elseif (isset($extra['choixsom'])){    $choixso=$extra['choixsom'];}
 else {$choixso=1; }
 
 $check1="";  $check2="";  $check3="";  $check4=""; 
 if ($choixso==1) { $check1="checked";  }
 if ($choixso==2) { $check2="checked";  }
 if ($choixso==3) { $check3="checked";  }
 if ($choixso==4) { $check4="checked";  }
   
 echo "Type de pr&eacute;sentation :"."<INPUT TYPE =\"radio\" NAME=\"choixsom\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"choixsom\"  VALUE='2' ".$check2.">2"
  ."<INPUT TYPE =\"radio\" NAME=\"choixsom\"  VALUE='3' ".$check3.">3"
  ."<INPUT TYPE =\"radio\" NAME=\"choixsom\"  VALUE='4' ".$check4.">4";
   echo "<br/>";
   
//
//----------------------------------------Place de l'image---------------------------------------------------------------------------------------------------   
//

 $check1="";  $check2="";  $check3="";  $check4="";

 if (!isset($_POST[image])){ $ima=$extra['image'];}
 else { $ima=$_POST[image];}
 
 $image="non";
 
 if ($ima==1) { $check1="checked";  $image="oui";}
 if ($ima==2) { $check2="checked";  $image="oui";}
 if ($ima==3) { $check3="checked";  $image="oui";}
 if ($ima==4) { $check4="checked"; $image="oui";}
    
    echo "Image et/ou galerie";
    
    $block56= "'block', 'none'";
    echo bouton_radio("image", "oui", _T('oui'), $image=="oui", "changeVisible(this.checked, 'choix56', $block56); ");
    
    $block56= "'none', 'block'";
    echo bouton_radio("image", "non", _T('non'), $image=="non", "changeVisible(this.checked, 'choix56', $block56);");
    echo "<br/>";

if ( $image=="non") {
$disp="none";
}
else{
$disp="block";
}  

echo "<div id='choix56' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

  debut_cadre_relief("", false, "", _T('Place de l\'image et/ou de la galerie'));
 
  echo "<INPUT TYPE =\"radio\" NAME=\"image\"  VALUE='1' ".$check1.">1"."<INPUT TYPE =\"radio\" NAME=\"image\"  VALUE='2' ".$check2.">2"
  ."<INPUT TYPE =\"radio\" NAME=\"image\"  VALUE='3' ".$check3.">3"."<INPUT TYPE =\"radio\" NAME=\"image\"  VALUE='4' ".$check4.">4";
  echo "<br/>";
   
    fin_cadre_relief();

echo "</div>";
    
//
//-------------------------------------------------Place de l'dito-------------------------------------------------------------------------------------------------------- 
//  
    $check1="";  $check2="";  $check3="";  $check4="";

 if (!isset($_POST[edito])){ $edi=$extra['edito'];}
 else { $edi=$_POST[edito];}
 
 $edito="non";
 
 if ($edi==1) { $check1="checked";  $edito="oui";}
 if ($edi==2) { $check2="checked";  $edito="oui";}
 if ($edi==3) { $check3="checked";  $edito="oui";}
 if ($edi==4) { $check4="checked";  $edito="oui";}
    
    echo "Edito";
    
    $block7= "'block', 'none'";
    echo bouton_radio("edito", "oui", _T('oui'), $edito=="oui",  "changeVisible(this.checked, 'choix7', $block7);");
    
    $block7= "'none', 'block'";
    echo bouton_radio("edito", "non", _T('non'), $edito=="non", "changeVisible(this.checked, 'choix7', $block7);");
    
    echo "<br/>";
    
if ( $edito=="non") {
$disp="none";
}
else{
$disp="block";
}  

echo "<div id='choix7' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

    debut_cadre_relief("", false, "", _T('Place de l\'&eacute;dito'));
 
 echo "<INPUT TYPE =\"radio\" NAME=\"edito\"  VALUE='1' ".$check1." >1"."<INPUT TYPE =\"radio\" NAME=\"edito\"  VALUE='2' ".$check2.">2"
  ."<INPUT TYPE =\"radio\" NAME=\"edito\"  VALUE='3' ".$check3.">3"."<INPUT TYPE =\"radio\" NAME=\"edito\"  VALUE='4' ".$check4.">4";
   echo "<br/>";
   
    fin_cadre_relief();

    echo "</div>";
//
//---------------------------------------------------------------------------Place du focus-------------------------------------------------------------------------------------------------------- 
//  
    $check1="";  $check2="";  $check3="";  $check4="";

 if (!isset($_POST[focus])){ $foc=$extra['focus'];}
 else { $foc=$_POST[focus];}
 
 $focus="non";
 
 if ($foc==1) { $check1="checked";  $focus="oui";}
 if ($foc==2) { $check2="checked";  $focus="oui";}
 if ($foc==3) { $check3="checked";  $focus="oui";}
 if ($foc==4) { $check4="checked";  $focus="oui";}
    
    echo "Focus";
    
    $block8= "'block', 'none'";
    echo bouton_radio("focus", "oui", _T('oui'), $focus=="oui",  "changeVisible(this.checked, 'choix8', $block8);");
    
    $block8= "'none', 'block'";
    echo bouton_radio("focus", "non", _T('non'), $focus=="non", "changeVisible(this.checked, 'choix8', $block8);");
    echo "<br/>";

if ( $focus=="non") {
$disp="none";
}
else{
$disp="block";
}  
echo "<div id='choix8' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

    debut_cadre_relief("", false, "", _T('Place du focus'));
 
 echo "<INPUT TYPE =\"radio\" NAME=\"focus\"  VALUE='1' ".$check1.">1"."<INPUT TYPE =\"radio\" NAME=\"focus\"  VALUE='2' ".$check2.">2"
  ."<INPUT TYPE =\"radio\" NAME=\"focus\"  VALUE='3' ".$check3.">3"."<INPUT TYPE =\"radio\" NAME=\"focus\"  VALUE='4' ".$check4.">4";
   echo "<br/>";
   
    fin_cadre_relief();

echo "</div>";

//
//--------------------------------Place des derniers articles et des plus lus--------------------------------------------------------------------------------------------------------   
//  
    $check1="";  $check2="";  $check3="";  $check4="";

 if (!isset($_POST[lesplus])){ $les=$extra['lesplus'];}
 else { $les=$_POST[lesplus];}
 
 $lesplus="non";
 
 if ($les==1) { $check1="checked";  $lesplus="oui";}
 if ($les==2) { $check2="checked";  $lesplus="oui";}
 if ($les==3) { $check3="checked";  $lesplus="oui";}
 if ($les==4) { $check4="checked";  $lesplus="oui";}
    
    echo "Les derniers articles et les plus lus";
    
    $block9= "'block', 'none'";
    echo bouton_radio("lesplus", "oui", _T('oui'), $lesplus=="oui",  "changeVisible(this.checked, 'choix9', $block9);");
    
    $block9= "'none', 'block'";
    echo bouton_radio("lesplus", "non", _T('non'), $lesplus=="non", "changeVisible(this.checked, 'choix9', $block9);");
    echo "<br/>";

if ( $lesplus=="non") {
$disp="none";
}
else{
$disp="block";
}  
echo "<div id='choix9' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

    debut_cadre_relief("", false, "", _T('Place des derniers articles et des plus lus'));
 
 echo "<INPUT TYPE =\"radio\" NAME=\"lesplus\"  VALUE='1' ".$check1.">1"."<INPUT TYPE =\"radio\" NAME=\"lesplus\"  VALUE='2' ".$check2.">2"
  ."<INPUT TYPE =\"radio\" NAME=\"lesplus\"  VALUE='3' ".$check3.">3"."<INPUT TYPE =\"radio\" NAME=\"lesplus\"  VALUE='4' ".$check4.">4";
   echo "<br/>";
   
    fin_cadre_relief();

echo "</div>";

    fin_cadre_relief();
    
//************************************************************************************************************
//---------------------------------------------------------Les titres-------------------------------------------
//************************************************************************************************************

debut_cadre_relief("", false, "", _T('Les titres'));

//
//-----------------------------------------------------Titres des ditos---------------------------------------------------------------------------------  
//
  
 
  if (isset($_POST[encedito])){ $vencedito=$_POST[encedito];}
 elseif (isset($extra['encedito'])){    $vencedito=$extra['encedito'];}
 else {$vencedito=2; }  
  
  
 $check1="";  $check2=""; 
 if ( $vencedito==1) { $check1="checked";  }
 if ( $vencedito==2) { $check2="checked";  }
   
 echo "Titres des &eacute;ditos :"."<INPUT TYPE =\"radio\" NAME=\"encedito\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"encedito\"  VALUE='2' ".$check2.">2";
   echo "<br/>";
   
 //
//-----------------------------------------------------Titres des focus---------------------------------------------------------------------------------  
//

  
 if (isset($_POST[encfoc])){ $vencfoc=$_POST[encfoc];}
 elseif (isset($extra['encfoc'])){    $vencfoc=$extra['encfoc'];}
 else {$vencfoc=2; }   

 $check1="";  $check2=""; 
 if ( $vencfoc==1) { $check1="checked";  }
 if ( $vencfoc==2) { $check2="checked";  }
   
 echo "Titres des focus :"."<INPUT TYPE =\"radio\" NAME=\"encfoc\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"encfoc\"  VALUE='2' ".$check2.">2";
   echo "<br/>";  
 //
//-----------------------------------------------------Titres des ditos des rubriques---------------------------------------------------------------------------------  
//
  

  
 if (isset($_POST[encedrub])){ $vencedrub=$_POST[encedrub];}
 elseif (isset($extra['encedrub'])){ $vencedrub=$extra['encedrub'];}
 else {$vencedrub=2; }     

 $check1="";  $check2=""; 
 if ( $vencedrub==1) { $check1="checked";  }
 if ( $vencedrub==2) { $check2="checked";  }
   
 echo "Titres des &eacute;ditos des rubriques :"."<INPUT TYPE =\"radio\" NAME=\"encedrub\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"encedrub\"  VALUE='2' ".$check2.">2";
   echo "<br/>";  
   
  //
//-----------------------------------------------------Titres des introductions des articles---------------------------------------------------------------------------------  
//
  

  if (isset($_POST[encder])){ $vencder=$_POST[encart];}
 elseif (isset($extra['encder'])){    $vencder=$extra['encder'];}
 else {$vencder=2; }   
  
  
 $check1="";  $check2=""; 
 if ( $vencder==1) { $check1="checked";  }
 if ( $vencder==2) { $check2="checked";  }
   
 echo "Titres des introductions des articles :"."<INPUT TYPE =\"radio\" NAME=\"encder\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"encder\"  VALUE='2' ".$check2.">2";
   echo "<br/>";  


  //
//-----------------------------------------------------Titres des articles---------------------------------------------------------------------------------  
//
  


 if (isset($_POST[encart])){ $vencart=$_POST[encart];}
 elseif (isset($extra['encart'])){    $vencart=$extra['encart'];}
 else {$vencart=2; }  
  
  
 $check1="";  $check2=""; 
 if ( $vencart==1) { $check1="checked";  }
 if ( $vencart==2) { $check2="checked";  }
   
 echo "Titres des articles :"."<INPUT TYPE =\"radio\" NAME=\"encart\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"encart\"  VALUE='2' ".$check2.">2";
   echo "<br/>";
  

fin_cadre_relief();

 
	
//************************************************************************************************************
//  --------------------------------------------------Configuration des liens extrieurs-----------------------------------------------------------------
//************************************************************************************************************


debut_cadre_relief("", false, "", _T('Les liens ext&eacute;rieurs'));

//----------------------------------------- Lien  dans la colonne de droite------------------------------------------------------------------------------


 
  if (isset($_POST[liendroit])){ $liendroit=$_POST[liendroit];}
 elseif (isset($extra['liendroit'])){    $liendroit=$extra['liendroit'];}
 else {$liendroit="non"; } 
 
 if (($_POST[droitintit]=='') and ($_POST[droitval]=='')and ($_POST[droitintit2]=='') and ($_POST[droitval2]=='')and ($_POST[droitintit3]=='') and ($_POST[droitval3]=='')and($_POST[Valider]=='Enregistrer')) {  $liendroit="non";} 

    echo "Lien(s) dans la colonne de droite ";

    
    $block11= "'block', 'none'";
    echo bouton_radio("liendroit", "oui", _T('oui'), $liendroit=="oui",  "changeVisible(this.checked, 'choix11', $block11);");
    
    $block11= "'none', 'block'";
    echo bouton_radio("liendroit", "non", _T('non'), $liendroit=="non", "changeVisible(this.checked, 'choix11', $block11); ");
    echo "<br/>";
  
if ( $liendroit=="oui") {
$disp="block";
}
else{
$disp="none";
}  

echo "<div id='choix11' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

debut_cadre_relief("", false, "", _T('Lien 1'));
 
 
 if (!isset($_POST[droitintit])){
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitintit' class='forml1' rows='1' cols='40' >".$extra['droitintit']."</textarea><br>";
 }
 else {
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitintit' class='forml1' rows='1' cols='40' >".$_POST[droitintit]."</textarea><br>";
 }
 if (!isset($_POST[droitval])){
  echo "URL du lien : <br><textarea
  style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
  name='droitval' class='forml1' rows='1' cols='40' >".$extra['droitval']."</textarea><br>";
 }
 else {
 echo "URL du lien :<br><textarea 
 style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitval' class='forml1' rows='1' cols='40' >".$_POST[droitval]."</textarea><br>";
 }
 
fin_cadre_relief();

debut_cadre_relief("", false, "", _T('Lien 2'));
 
 if (!isset($_POST[droitintit2])){
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitintit2' class='forml1' rows='1' cols='40' >".$extra['droitintit2']."</textarea><br>";
 }
 else {
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitintit2' class='forml1' rows='1' cols='40' >".$_POST[droitintit2]."</textarea><br>";
 }
 if (!isset($_POST[droitval2])){
  echo "URL du lien : <br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
  name='droitval2' class='forml1' rows='1' cols='40' >".$extra['droitval2']."</textarea><br>";
 }
 else {
 echo "URL du lien :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitval2' class='forml1' rows='1' cols='40' >".$_POST[droitval2]."</textarea><br>";
 }
 
fin_cadre_relief();

debut_cadre_relief("", false, "", _T('Lien 3'));
 
 if (!isset($_POST[droitintit3])){
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitintit3' class='forml1' rows='1' cols='40' >".$extra['droitintit3']."</textarea><br>";
 }
 else {
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitintit3' class='forml1' rows='1' cols='40' >".$_POST[droitintit3]."</textarea><br>";
 }
 if (!isset($_POST[droitval3])){
  echo "URL du lien : <br><textarea 
  style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
  name='droitval3' class='forml1' rows='1' cols='40' >".$extra['droitval3']."</textarea><br>";
 }
 else {
 echo "URL du lien :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='droitval3' class='forml1' rows='1' cols='40' >".$_POST[droitval3]."</textarea><br>";
 }
 
fin_cadre_relief();


echo "</div>";

//----------------------------------------- Lien dans le bandeau------------------------------------------------------------------------------

 
 if (isset($_POST[lienban])){ $lienban=$_POST[lienban];}
 elseif (isset($extra['lienban'])){    $lienban=$extra['lienban'];}
 else {$lienban="non"; }  
 
  if (($_POST[banintit]=='') and ($_POST[banval]=='')and ($_POST[Valider]=='Enregistrer')) {  $lienban="non";} 

    echo "Lien dans le bandeau ";
    
    $block12= "'block', 'none'";
    echo bouton_radio("lienban", "oui", _T('oui'), $lienban=="oui",  "changeVisible(this.checked, 'choix12', $block12);");
    
    $block12= "'none', 'block'";
    echo bouton_radio("lienban", "non", _T('non'), $lienban=="non", "changeVisible(this.checked, 'choix12', $block12); ");
    echo "<br/>";
  
if ( $lienban=="oui") {
$disp="block";
}
else{
$disp="none";
}  

echo "<div id='choix12' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

 debut_cadre_relief("", false, "", _T('Lien dans le bandeau'));
 
 if (!isset($_POST[banintit])){
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='banintit' class='forml1' rows='1' cols='40' >".$extra['banintit']."</textarea><br>";
 }
 else {
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='banintit' class='forml1' rows='1' cols='40' >".$_POST[banintit]."</textarea><br>";
 }
 if (!isset($_POST[banval])){
  echo "URL du lien : <br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
  name='banval' class='forml1' rows='1' cols='40' >".$extra['banval']."</textarea><br>";
 }
 else {
 echo "URL du lien :<br><textarea 
 style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='banval' class='forml1' rows='1' cols='40' >".$_POST[banval]."</textarea><br>";
 }

fin_cadre_relief();
echo "</div>";

fin_cadre_relief();
//************************************************************************************************************
//---------------------------------------------------------Les galeries-------------------------------------------
//************************************************************************************************************

debut_cadre_relief("", false, "", _T('Les galeries'));



//
//------------------------------------------------------Utilisation des albums photos---------------------------------------------------------------------------------  
// 
 


 
   
  
    $check1="";  $check2="";  $check3="";  $check4=""; $check5="";  $check6=""; $check7=""; $check8="";
	

 
if (isset($_POST[lesgal])){ $lesgal=$_POST[lesgal];}
 elseif (isset($extra['lesgal'])){   $lesgal=$extra['lesgal'];}
 else {$lesgal="non"; } 
 
  if (($_POST[album]=='non')and ($_POST[album1]=='non') and ($_POST[accueilgalerie]=='non') and ($_POST[galerie]=='non') and($_POST[Valider]=='Enregistrer')) {  $lesgal="non";}

  
 if (!isset($_POST[album])){ $alb=$extra['album'];}
 else { $alb=$_POST[album];}
 
 
  
 if (!isset($_POST[album1])){ $alb1=$extra['album1'];}
 else { $alb1=$_POST[album1];}
 
 if (!isset($_POST[accueilgalerie])){ $acgal=$extra['accueilgalerie'];}
 else { $acgal=$_POST[accueilgalerie];}
 
 if (!isset($_POST[galerie])){ $gal=$extra['galerie'];}
 else { $gal=$_POST[galerie];}
 
  $roui="oui"; $rnon="non";
 if ($alb=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 if ($alb=='non') { $check2="checked"; $rnon= "<strong>non</strong>"; }
 
  $roui1="oui"; $rnon1="non";
 if ($acgal=='oui') { $check3="checked"; $roui1= "<strong>oui</strong>";}
 if ($acgal=='non') { $check4="checked"; $rnon1= "<strong>non</strong>"; }
 
  $roui2="oui"; $rnon2="non";
 if ($gal=='oui') { $check5="checked"; $roui2= "<strong>oui</strong>";}
 if ($gal=='non') { $check6="checked"; $rnon2= "<strong>non</strong>"; }
 
 $roui3="oui"; $rnon3="non";
 if ($alb1=='oui') { $check7="checked"; $roui3= "<strong>oui</strong>";}
 if ($alb1=='non') { $check8="checked"; $rnon3= "<strong>non</strong>"; }
    
    echo "Utilisation de galeries d'images";
    
    $block91= "'block', 'none'";
    echo bouton_radio("lesgal", "oui", _T('oui'), $lesgal=="oui",  "changeVisible(this.checked, 'choix91', $block91);");
    
    $block91= "'none', 'block'";
    echo bouton_radio("lesgal", "non", _T('non'), $lesgal=="non", "changeVisible(this.checked, 'choix91', $block91);");
    echo "<br/>";

if ( $lesgal=="oui") {
$disp="block";
}
else{
$disp="none";
}  
echo "<div id='choix91' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

    debut_cadre_relief("", false, "", _T('Les galeries DHTEUMEULEU'));
	
  echo "Galerie(s) dans la colonne de gauche"."<INPUT TYPE =\"radio\" NAME=\"album\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"album\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>";  
   
   echo "Galerie(s) dans la page d'accueil"."<INPUT TYPE =\"radio\" NAME=\"accueilgalerie\" VALUE='oui' ".$check3.">".$roui1
 ."<INPUT TYPE =\"radio\" NAME=\"accueilgalerie\"  VALUE='non' ".$check4.">".$rnon1;
   echo "<br/>";  
   
   echo "Page de galerie(s)"."<INPUT TYPE =\"radio\" NAME=\"galerie\" VALUE='oui' ".$check5.">".$roui2
 ."<INPUT TYPE =\"radio\" NAME=\"galerie\"  VALUE='non' ".$check6.">".$rnon2;
   echo "<br/>";  
   
 
   
    fin_cadre_relief();
	
   debut_cadre_relief("", false, "", _T('Splickrbox'));
	
  echo "Splickrbox"."<INPUT TYPE =\"radio\" NAME=\"album1\" VALUE='oui' ".$check7.">".$roui3
 ."<INPUT TYPE =\"radio\" NAME=\"album1\"  VALUE='non' ".$check8.">".$rnon3;
   echo "<br/>";  

   
    fin_cadre_relief();
	
echo "</div>";
 
   fin_cadre_relief();
   
   

//************************************************************************************************************
//---------------------------------------------------------Configuration de l'agencement  de certains blocs-------------------------------------------
//************************************************************************************************************

debut_cadre_relief("", false, "", _T('D\'autres &eacute;l&eacute;ments'));

//
//------------------------------------------------------Choix du type de menu---------------------------------------------------------------------------------  
//
  

  
 if (isset($_POST[menu])){ $men=$_POST[menu];}
 elseif (isset($extra['menu'])){   $men=$extra['menu'];}
 else {$men=1; }  
  

 $check1="";  $check2=""; 
 if ($men==1) { $check1="checked";  }
 if ($men==2) { $check2="checked";  }
   
 echo "Type de menu :"."<INPUT TYPE =\"radio\" NAME=\"menu\" VALUE='1' ".$check1.">1"
  ."<INPUT TYPE =\"radio\" NAME=\"menu\"  VALUE='2' ".$check2.">2";
   echo "<br/>";

   
//
//------------------------------------------------------Utilisation des forums--------------------------------------------------------------------------------- 
//  
    
 
 
  if (isset($_POST[forum])){ $for=$_POST[forum];}
 elseif (isset($extra['forum'])){ $for=$extra['forum'];}
 else {$for="non"; } 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($for=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 if ($for=='non') { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "Utilisation des forums"."<INPUT TYPE =\"radio\" NAME=\"forum\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"forum\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>";  
  
//
//------------------------------------------------------Utilisation des blogs---------------------------------------------------------------------------------  
//  
  
 
   if (isset($_POST[blog])){ $bl=$_POST[blog];}
 elseif (isset($extra['blog'])){ $bl=$extra['blog'];}
 else {$bl="non"; } 
 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($bl=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 if ($bl=='non') { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "Utilisation des blogs"."<INPUT TYPE =\"radio\" NAME=\"blog\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"blog\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>";  
   
//
//------------------------------------------------------Utilisation du chat---------------------------------------------------------------------------------  
//  
  
 
 if (isset($_POST[chat])){ $ch=$_POST[chat];}
 elseif (isset($extra['chat'])){ $ch=$extra['chat'];}
 else {$ch="non"; } 
 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($ch=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 if ($ch=='non') { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "Utilisation du chat"."<INPUT TYPE =\"radio\" NAME=\"chat\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"chat\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>";   

//
//------------------------------------------------------Utilisation de l'agenda---------------------------------------------------------------------------------    
//   

 
 
 if (isset($_POST[agenda])){ $agen=$_POST[agenda];}
 elseif (isset($extra['agenda'])){ $agen=$extra['agenda'];}
 else {$agen="non"; } 
 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($agen=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 if ($agen=='non') { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "Utilisation de l'agenda"."<INPUT TYPE =\"radio\" NAME=\"agenda\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"agenda\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>";  
    
  
//
//------------------------------------------------------Apparition de l'auteur et de la date de publication-----------------------------------------------------    
// 



 
 if (isset($_POST[auteurdate])){ $autda=$_POST[auteurdate];}
 elseif (isset($extra['auteurdate'])){ $autda=$extra['auteurdate'];}
 else {$autda="non"; } 
 

 $check1="";  $check2=""; 
 $roui="oui"; $rnon="non";
 if ($autda=='oui') { $check1="checked"; $roui= "<strong>oui</strong>";}
 if ($autda=='non') { $check2="checked"; $rnon= "<strong>non</strong>"; }
   
 echo "La date et l'auteur des articles"."<INPUT TYPE =\"radio\" NAME=\"auteurdate\" VALUE='oui' ".$check1.">".$roui
 ."<INPUT TYPE =\"radio\" NAME=\"auteurdate\"  VALUE='non' ".$check2.">".$rnon;
   echo "<br/>";  
    
// 
//------------------------------------------------------------------------------------Mentions lgales-------------------------------------------------------------------------------
// 

 
  if (isset($_POST[menleg])){ $menleg=$_POST[menleg];}
 elseif (isset($extra['menleg'])){ $menleg=$extra['menleg'];}
 else {$menleg="non"; }
 
 if (($_POST[intitule]=='') and ($_POST[entete]=='') and ($_POST[valeur]=='') and ($_POST[dir]=='') and ($_POST[master]=='')and($_POST[Valider]=='Enregistrer')) {  $menleg="non";}

    echo "Mentions l&eacute;gales ";

    
    $block10= "'block', 'none'";
    echo bouton_radio("menleg", "oui", _T('oui'), $menleg=="oui",  "changeVisible(this.checked, 'choix10', $block10);");
    
    $block10= "'none', 'block'";
    echo bouton_radio("menleg", "non", _T('non'), $menleg=="non", "changeVisible(this.checked, 'choix10', $block10); ");
    echo "<br/>";
  
if ( $menleg=="oui") {
$disp="block";
}
else{
$disp="none";
}  

echo "<div id='choix10' class='display_au_chargement' name='forums_publics_appliquer' style='margin-left: 40px; display:".$disp."; '>";

 debut_cadre_relief("", false, "", _T('Mentions l&eacute;gales'));
 
 if (!isset($_POST[entete])){
 echo "En-t&ecirc;te :<br><textarea
 style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\"
 name='entete' class='forml1' rows='1' cols='40' >".$extra['entete']."</textarea><br>";
 }
 else {
 echo "En-t&ecirc;te :<br><textarea
 style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\"
 name='entete' class='forml1' rows='1' cols='40' >".$_POST[entete]."</textarea><br>";
 }
  
 if (!isset($_POST[intitule])){
 echo "Intitul&eacute; :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='intitule' class='forml1' rows='1' cols='40' >".$extra['intitule']."</textarea><br>";
 }
 else {
 echo "Intitul&eacute; :<br><textarea 
 style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='intitule' class='forml1' rows='1' cols='40' >".$_POST[intitule]."</textarea><br>";
 }
 
 if (!isset($_POST[valeur])){
 echo "Valeur :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 name='valeur' class='forml1' rows='1' cols='40' >".$extra['valeur']."</textarea><br>";
 }
 else {
   echo "Valeur :<br><textarea
style=\"display:inline;  background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
   name='valeur' class='forml1' rows='1' cols='40' >".$_POST[valeur]."</textarea><br>";
 }
 if (!isset($_POST[dir])){
 echo "Identifiant du directeur de publication :"."<INPUT 
 style=\"display:inline; width:25px; background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 TYPE =\"text\" NAME=\"dir\" size='40' class='forml1' VALUE=".$extra['dir']."><br/>";
 }
 else {
 echo "Identifiant du directeur de publication :"."<INPUT 
 style=\"display:inline; width:25px; background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 TYPE =\"text\" NAME=\"dir\" size='40' class='forml1' VALUE=".$_POST[dir]." ><br/>";
 }
 
 if (!isset($_POST[master])){
 echo "Identifiant du webmestre :"."<INPUT 
 style=\"display:inline; width:25px; background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
 TYPE =\"text\" NAME=\"master\" size='40' class='forml1' VALUE=".$extra['master']."><br/>";

 }
 else  {
 echo "Identifiant du webmestre :"."<INPUT 
 style=\"display:inline; width:25px; background-color: #e4e4e4; border: 1px solid #aaaaaa;\" 
  TYPE =\"text\" NAME=\"master\" size='40' class='forml1' VALUE=".$_POST[master]." ><br/>";
 }

fin_cadre_relief();

echo "</div>";

fin_cadre_relief();
    

//----------------------------------------------------------------------------------------------------------------------------------------------------
//------------------------------------------------------------------------------Validation --------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------------------------
  

  
   if ($_POST[Valider]=='Enregistrer'){
    $extra['remplissant']=$_POST[remplissant];
    $extra['appar']=$_POST[appar];	
    $extra['tbandeau']=$_POST[tbandeau];  
    $extra['image']=$_POST[image];
    $extra['edito']=$_POST[edito];
    $extra['focus']=$_POST[focus];
    $extra['lesplus']=$_POST[lesplus];
    $extra['choixsom']=$_POST[choixsom];
    $extra['menu']=$_POST[menu];
	$extra['encedito']=$_POST[encedito];
	$extra['encfoc']=$_POST[encfoc];
	$extra['encart']=$_POST[encart];
	$extra['encedrub']=$_POST[encedrub];
	$extra['encder']=$_POST[encder];
	if ($_POST[lesgal]=='oui') {
    $extra['album']=$_POST[album]; 
	 $extra['album1']=$_POST[album1]; 
	$extra['galerie']=$_POST[galerie]; 
	$extra['accueilgalerie']=$_POST[accueilgalerie];}
    else{
    $extra['album']='non'; 
	   $extra['album1']='non'; 
	$extra['galerie']='non'; 
	$extra['accueilgalerie']='non';
	}

	if (($_POST[album]=='non')and($_POST[album1]=='non')and ($_POST[accueilgalerie]=='non') and ($_POST[galerie]=='non') and($_POST[Valider]=='Enregistrer'))
	 {  $extra['lesgal']='non'; }
else {  $extra['lesgal']=$_POST[lesgal];}
	
	
	
    $extra['agenda']=$_POST[agenda]; 
    $extra['auteurdate']=$_POST[auteurdate];  
    $extra['forum']=$_POST[forum]; 
    $extra['blog']=$_POST[blog]; 
	$extra['chat']=$_POST[chat]; 
    $extra['intitule']=$_POST[intitule];    $extra['entete']=$_POST[entete];
    $extra['valeur']=$_POST[valeur];
    $extra['dir']=$_POST[dir];
    $extra['master']=$_POST[master];
    $extra['menleg']=$_POST[menleg];
    $menleg=$_POST[menleg]; 
  
  if (($_POST[intitule]=='') and ($_POST[entete]=='') and ($_POST[valeur]=='') and ($_POST[dir]=='') and ($_POST[master]=='')) {
    $extra['menleg']="non";
    $menleg="non"; 
 } 

if ( $menleg=='non') {
    $extra['intitule']='';      $extra['entete']='';
    $extra['valeur']='';
    $extra['dir']='';
    $extra['master']='';
}
    $extra['droitintit']=$_POST[droitintit];
    $extra['droitval']=$_POST[droitval];
    $extra['liendroit']=$_POST[liendroit];
	$extra['droitintit2']=$_POST[droitintit2];
    $extra['droitval2']=$_POST[droitval2];
    $extra['liendroit2']=$_POST[liendroit2];
	$extra['droitintit3']=$_POST[droitintit3];
    $extra['droitval3']=$_POST[droitval3];
    $extra['liendroit3']=$_POST[liendroit3];
	
    $liendroit=$_POST[liendroit];
    
if (($_POST[droitintit]=='') and ($_POST[droitval]=='') and ($_POST[droitintit2]=='') and ($_POST[droitval2]=='') and ($_POST[droitintit3]=='') and ($_POST[droitval3]=='')  ) { 
    $extra['liendroit']="non";
    $liendroit="non"; 
 } 

if ( $liendroit=='non') {
    $extra['droitintit']='';
    $extra['droitval']=''; 
	$extra['droitintit2']='';
    $extra['droitval2']=''; 
	$extra['droitintit3']='';
    $extra['droitval3']=''; 
} 
 
    $extra['banintit']=$_POST[banintit];
    $extra['banval']=$_POST[banval];
    $extra['lienban']=$_POST[lienban];
    $lienban=$_POST[lienban]; 
  
 if (($_POST[banintit]=='') and ($_POST[banval]=='') ) { 
    $extra['lienban']="non";
    $lienban="non"; 
 } 

if ( $lienban=='non') {
    $extra['banintit']='';
    $extra['banval']=''; 
} 

//----           Rajout des guillemets aux couleurs et au texte------------------------------------------------
 
    if (($_POST[bandeau])==''){ $extra['bandeau']=''; }
    else { $extra['bandeau']="\"".$_POST[bandeau]."\""; }
    if (($_POST[bandtex])==''){$extra['bandtex']='';}
    else {$extra['bandtex']="\"".$_POST[bandtex]."\"";}
    if (($_POST[chemin])==''){  $extra['chemin']='';}
    else {  $extra['chemin']="\"".$_POST[chemin]."\"";}
    if (($_POST[chemtex])==''){  $extra['chemtex']='';}
    else {  $extra['chemtex']="\"".$_POST[chemtex]."\"";}
    if (($_POST[pfond])=='') {  $extra['pfond']='';}
    else {  $extra['pfond']="\"".$_POST[pfond]."\"";}
     if (($_POST[textg])=='') {  $extra['textg']='';}
    else {  $extra['textg']="\"".$_POST[textg]."\"";}
    if (($_POST[lienmen])==''){  $extra['lienmen']='';}
    else {  $extra['lienmen']="\"".$_POST[lienmen]."\"";} 
    if (($_POST[liensur])==''){  $extra['liensur']='';} 
    else {  $extra['liensur']="\"".$_POST[liensur]."\"";}
    if (($_POST[lien])==''){ $extra['lien']='';}
    else { $extra['lien']="\"".$_POST[lien]."\"";}
    if (($_POST[textemenu])==''){ $extra[textemenu]='';}
    else {  $extra['textemenu']="\"".$_POST[textemenu]."\"";}
    if (($_POST[fondtexte])==''){$extra['fondtexte']='';}
    else    {$extra['fondtexte']="\"".$_POST[fondtexte]."\"";}            
    if (($_POST[bord])==''){ $extra['bord']='';} 
    else { $extra['bord']="\"".$_POST[bord]."\"";}                
    if (($_POST[texte])==''){ $extra['texte']='';}
    else { $extra['texte']="\"".$_POST[texte]."\"";}  
if (($_POST[lpfondtexte])==''){$extra['lpfondtexte']='';}
    else    {$extra['lpfondtexte']="\"".$_POST[lpfondtexte]."\"";}            
    if (($_POST[lpbord])==''){ $extra['lpbord']='';} 
    else { $extra['lpbord']="\"".$_POST[lpbord]."\"";}                
    if (($_POST[lptexte])==''){ $extra['lptexte']='';}
    else { $extra['lptexte']="\"".$_POST[lptexte]."\"";}    	
    if (($_POST[pargau])=='') {$extra['pargau']='';}    
    else  {$extra['pargau']="\"".$_POST[pargau]."\"";}
    if (($_POST[pardroi])=='') {    $extra['pardroi']='';}
    else {  $extra['pardroi']="\"".$_POST[pardroi]."\"";}   
    if (($_POST[bordrep])=='') { $extra['bordrep']='';}
    else {  $extra['bordrep']="\"".$_POST[bordrep]."\"";}
    if (($_POST[titrerep])=='') {   $extra['titrerep']='';}
    else {  $extra['titrerep']="\"".$_POST[titrerep]."\"";} 
    if (($_POST[bandeauagenda])=='') {  $extra['bandeauagenda']='';}
    else {  $extra['bandeauagenda']="\"".$_POST[bandeauagenda]."\"";}
    if (($_POST[textebandeau])=='') { $extra['textebandeau']='';}
    else {  $extra['textebandeau']="\"".$_POST[textebandeau]."\"";}
    if (($_POST[texteagenda])=='') {  $extra['texteagenda']='';}
    else{  $extra['texteagenda']="\"".$_POST[texteagenda]."\"";}
    if (($_POST[fondagenda])=='') {  $extra['fondagenda']='';}
    else {  $extra['fondagenda']="\"".$_POST[fondagenda]."\"";}
    if (($_POST[bordagenda])=='') {  $extra['bordagenda']='';}
    else {  $extra['bordagenda']="\"".$_POST[bordagenda]."\"";}
    
    if (($_POST[posban])==''){$extra['posban']='';}
    else {$extra['posban']="\"".$_POST[posban]."\"";}
	
	if (($_POST[rubver])==''){$extra['rubver']='';}
    else {$extra['rubver']="\"".$_POST[rubver]."\"";}
}
  echo "<div style='text-align:left;'><input type='submit' name='Valider' value='"._T('bouton_enregistrer')."' class='fondo' /></div>";

fin_cadre_trait_couleur();
 echo "<br />\n";
//
//****Fin (quasiment) de la gestion  des extras : la validation est faite aprs  la prise en compte de la variable $proposer_sites********
//*****************************************************************************************************************



// -----------------------------------------------------------               Options des articles             ---------------------------------------------------------
//

if ($options == 'avancees') {
    debut_cadre_trait_couleur("article-24.gif", false, "", _T('titre_les_articles'));


    //
    // Champs optionnels des articles
    //

    debut_cadre_relief("", false, "", _T('info_contenu_articles').aide ("confart"));

    $articles_surtitre = $GLOBALS['meta']["articles_surtitre"];
    $articles_soustitre = $GLOBALS['meta']["articles_soustitre"];
    $articles_descriptif = $GLOBALS['meta']["articles_descriptif"];
    $articles_chapeau = $GLOBALS['meta']["articles_chapeau"];
    $articles_ps = $GLOBALS['meta']["articles_ps"];
    $articles_redac = $GLOBALS['meta']["articles_redac"];
    $articles_urlref = $GLOBALS['meta']["articles_urlref"];

    echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";

    echo "<tr><td colspan='2' class='verdana2'>";
    echo _T('texte_contenu_articles');
    echo "</td></tr>";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_surtitre');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_surtitre', $articles_surtitre,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_sous_titre');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_soustitre', $articles_soustitre,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_descriptif');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_descriptif', $articles_descriptif,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_chapeau_2');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_chapeau', $articles_chapeau,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_post_scriptum_2');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_ps', $articles_ps,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_date_publication_anterieure');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_redac', $articles_redac,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo _T('info_urlref');
    echo "</td>";
    echo "<td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('articles_urlref', $articles_urlref,
        array('oui' => _T('item_oui'), 'non' => _T('item_non')), " &nbsp; ");
    echo "</td></tr>\n";

    echo "<tr><td style='text-align: $spip_lang_right;' colspan='2'>";
    echo "<input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo' />";
    echo "</td></tr>";
    echo "</table>";

    fin_cadre_relief();

    //
    // Articles post-dates
    //

    debut_cadre_relief("", false, "", _T('titre_publication_articles_post_dates').aide ("confdates"));

    $post_dates = $GLOBALS['meta']["post_dates"];

    echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
    echo "<tr><td class='verdana2'>";
    echo _T('texte_publication_articles_post_dates');
    echo "</td></tr>";

    echo "<tr><td align='$spip_lang_left' class='verdana2'>";
    echo afficher_choix('post_dates', $post_dates,
        array('oui' => _T('item_publier_articles'),
            'non' => _T('item_non_publier_articles')));
    echo "</td></tr>\n";

    echo "<tr><td style='text-align:$spip_lang_right;'>";
    echo "<input type='submit' value='"._T('bouton_valider')."' class='fondo' />";
    echo "</td></tr>";
    echo "</table>\n";

    fin_cadre_relief();

    fin_cadre_trait_couleur();
}



echo "<br />\n";


//
// Actives/desactiver les breves
//

debut_cadre_trait_couleur("breve-24.gif", false, "", _T('titre_breves').aide ("confbreves"));

$activer_breves = $GLOBALS['meta']["activer_breves"];

echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
echo "<tr><td class='verdana2'>";
echo _T('texte_breves')."<br />\n";
echo _T('info_breves');
echo "</td></tr>";

echo "<tr><td align='center' class='verdana2'>";
echo afficher_choix('activer_breves', $activer_breves,
    array('oui' => _T('item_utiliser_breves'),
        'non' => _T('item_non_utiliser_breves')), " &nbsp; ");
echo "</td></tr>\n";

echo "<tr><td style='text-align:$spip_lang_right;'>";
echo "<input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo' />";
echo "</td></tr>";
echo "</table>\n";

fin_cadre_trait_couleur();

echo "<br />\n";


//
// Gestion des mots-cles
//

if ($options == "avancees") {

    debut_cadre_trait_couleur("mot-cle-24.gif", false, "", _T('info_mots_cles'));

    $articles_mots = $GLOBALS['meta']["articles_mots"];
    $config_precise_groupes = $GLOBALS['meta']["config_precise_groupes"];
    $mots_cles_forums = $GLOBALS['meta']["mots_cles_forums"];
    $forums_publics = $GLOBALS['meta']["forums_publics"];

    echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
    echo "<tr><td class='verdana2'>";
    echo _T('texte_mots_cles')."<br />\n";
    echo _T('info_question_mots_cles');
    echo "</td></tr>";

    echo "<tr>";
    echo "<td align='center' class='verdana2'>";


        echo bouton_radio("articles_mots", "oui", _T('item_utiliser_mots_cles'), $articles_mots == "oui", "changeVisible(this.checked, 'mots-config', 'block', 'none');");
        echo " &nbsp;";
        echo bouton_radio("articles_mots", "non", _T('item_non_utiliser_mots_cles'), $articles_mots == "non", "changeVisible(this.checked, 'mots-config', 'none', 'block');");

    echo "</td></tr></table>";

    if ($articles_mots != "non") $style = "display: block;";
    else $style = "display: none;";
    
        echo "<div id='mots-config' style='$style'>";
        
        echo "<br />\n";
        debut_cadre_relief("", false, "", _T('titre_config_groupe_mots_cles'));

        echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
        echo "<tr><td class='verdana2'>";
        echo _T('texte_config_groupe_mots_cles');
        echo "</td></tr>";

        echo "<tr>";
        echo "<td align='$spip_lang_left' class='verdana2'>";
        echo afficher_choix('config_precise_groupes', $config_precise_groupes,
            array('oui' => _T('item_utiliser_config_groupe_mots_cles'),
                'non' => _T('item_non_utiliser_config_groupe_mots_cles')));
        echo "</td></tr></table>";
        fin_cadre_relief();

        if ($forums_publics != "non"){
            echo "<br />\n";
            debut_cadre_relief("", false, "", _T('titre_mots_cles_dans_forum'));
            echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
            echo "<tr><td class='verdana2'>";
            echo _T('texte_mots_cles_dans_forum');
            echo "</td></tr>";

            echo "<tr>";
            echo "<td align='$spip_lang_left' class='verdana2'>";
            echo afficher_choix('mots_cles_forums', $mots_cles_forums,
                array('oui' => _T('item_ajout_mots_cles'),
                    'non' => _T('item_non_ajout_mots_cles')));
            echo "</td></tr>";
            echo "</table>";
            fin_cadre_relief();
        }
        echo "</div>";

    echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
    echo "<tr><td style='text-align:$spip_lang_right;'>";
    echo "<input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo' />";
    echo "</td></tr>";
    echo "</table>\n";

    fin_cadre_trait_couleur();

    echo "<br />\n";
}

//
// Actives/desactiver systeme de syndication
//

debut_cadre_trait_couleur("site-24.gif", false, "", _T('titre_referencement_sites').aide ("reference"));

$activer_sites = $GLOBALS['meta']['activer_sites'];
$activer_syndic = $GLOBALS['meta']["activer_syndic"];
$proposer_sites = $GLOBALS['meta']["proposer_sites"];
$visiter_sites = $GLOBALS['meta']["visiter_sites"];
$moderation_sites = $GLOBALS['meta']["moderation_sites"];

echo "\n<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";

echo "<tr><td align='$spip_lang_left' class='verdana2'>";

        echo bouton_radio("activer_sites", "oui", _T('item_gerer_annuaire_site_web'), $activer_sites == "oui", "changeVisible(this.checked, 'config-site', 'block', 'none');");
        echo " &nbsp;";
        echo bouton_radio("activer_sites", "non", _T('item_non_gerer_annuaire_site_web'), $activer_sites == "non", "changeVisible(this.checked, 'config-site', 'none', 'block');");

echo "</td></tr></table>\n";

if ($activer_sites != 'non') $style = "display: block;";
else $style = "display: none;";

    echo "<div id='config-site' style='$style'>";
    
    // Utilisateurs autorises a proposer des sites references
    //
        echo "<br />\n";
        debut_cadre_relief();
        echo "\n<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
        echo "\n<tr><td style='color: #000000' class='verdana1 spip_x-small'>";
        echo _T('info_question_proposer_site');
        echo "\n<div style='text-align: center'><select name='proposer_sites' class='fondo' size='1'>\n";
        echo "<option".mySel('0',$proposer_sites).">"._T('item_choix_administrateurs')."</option>\n";
        echo "<option".mySel('1',$proposer_sites).">"._T('item_choix_redacteurs')."</option>\n";
        echo "<option".mySel('2',$proposer_sites).">"._T('item_choix_visiteurs')."</option>\n";
        echo "</select></div>\n";
        echo "</td></tr></table>\n";
        
        
        fin_cadre_relief();
   $extra['proposer_sites']=$proposer_sites;

    if ($options == "avancees") {
        debut_cadre_relief("", false, "", _T('titre_syndication').aide ("rubsyn"));
    
        echo "\n<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
        //
        // Reglage de la syndication
        //
        echo "<tr><td class='verdana2'>";
        echo _T('texte_syndication');
        echo "</td></tr>";
    
        echo "<tr><td align='$spip_lang_left' class='verdana2'>";

            echo bouton_radio("activer_syndic", "oui", _T('item_utiliser_syndication'), $activer_syndic == "oui", "changeVisible(this.checked, 'config-syndic', 'block', 'none');");
            echo "<br />\n";
            echo bouton_radio("activer_syndic", "non", _T('item_non_utiliser_syndication'), $activer_syndic == "non", "changeVisible(this.checked, 'config-syndic', 'none', 'block');");

    
        if ($activer_syndic != "non") $style = "display: block;";
        else $style = "display: none;";
            
            echo "<div id='config-syndic' style='$style'>";
        
            // Moderation par defaut des sites syndiques
            echo "<hr /><p align='$spip_lang_left'>";
            echo _T('texte_liens_sites_syndiques')."</p>";
    
            echo afficher_choix('moderation_sites', $moderation_sites,
                array('oui' => _T('item_bloquer_liens_syndiques'),
                'non' => _T('item_non_bloquer_liens_syndiques')));
    
            // Si indexation, activer/desactiver pages recuperees
    
            $activer_moteur = $GLOBALS['meta']["activer_moteur"];
            if ($activer_moteur == "oui") {
                echo "<hr /><p align='$spip_lang_left'>";
                echo _T('texte_utilisation_moteur_syndiques')." ";
                echo "</p><blockquote><i>"._T('texte_utilisation_moteur_syndiques_2')."</i></blockquote>";
    
                echo afficher_choix('visiter_sites', $visiter_sites,
                    array('non' => _T('item_limiter_recherche'),
                        'oui' => _T('item_non_limiter_recherche')));
            }
            echo "</div>";
        
        echo "</td></tr>\n";
    
        echo "</table>\n";
    
        fin_cadre_relief();
    }
    echo "</div>";

//
// Gestion des flux RSS
//

debut_cadre_relief("feed.png", false, "", _T('ical_titre_rss'));

echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";

echo "<tr><td class='verdana2'>";
echo _T('info_syndication_integrale_1',
        array('url' => generer_url_ecrire('synchro'),
        'titre' => _T("icone_suivi_activite"))
    ),
    '<p>',
  _T('info_syndication_integrale_2'),
  '</p>';
echo "</td></tr>";

echo "<tr>";
echo "<td align='$spip_lang_left' class='verdana2'>";
echo afficher_choix('syndication_integrale', $GLOBALS['meta']["syndication_integrale"],
    array('oui' => _T('item_autoriser_syndication_integrale'),
        'non' => _T('item_non_autoriser_syndication_integrale')), "<br />\n");
echo "</td></tr>";
echo "</table>\n";

fin_cadre_relief();


echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";
echo "<tr><td style='text-align:$spip_lang_right;'>";
echo "<input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo' />";
echo "</td></tr>";
echo "</table>\n";

fin_cadre_trait_couleur();

echo "<br />\n";


//
// Gestion des documents joints
//

debut_cadre_trait_couleur("doc-24.gif", false, "", _T('titre_documents_joints'));

$documents_rubrique = $GLOBALS['meta']["documents_rubrique"];
$documents_article = $GLOBALS['meta']["documents_article"];

echo "<table border='0' cellspacing='1' cellpadding='3' width=\"100%\">";

echo "<tr><td class='verdana2'>";
echo _T('texte_documents_joints');
echo _T('texte_documents_joints_2');
echo "</td></tr>";

echo "<tr>";
echo "<td align='$spip_lang_left' class='verdana2'>";
echo afficher_choix('documents_article', $documents_article,
    array('oui' => _T('item_autoriser_documents_joints'),
        'non' => _T('item_non_autoriser_documents_joints')), "<br />\n");
echo "<br /><br />\n";
echo afficher_choix('documents_rubrique', $documents_rubrique,
    array('oui' => _T('item_autoriser_documents_joints_rubriques'),
        'non' => _T('item_non_autoriser_documents_joints_rubriques')), "<br />\n");
echo "</td></tr>";

echo "<tr><td style='text-align:$spip_lang_right;'>";
echo "<input type='submit' name='Valider' value='"._T('bouton_valider')."' class='fondo' />";
echo "</td></tr>";
echo "</table>\n";

fin_cadre_trait_couleur();


echo pipeline('affiche_milieu',array('args'=>array('exec'=>'configuration'),'data'=>''));

echo "</div></form>";

//-------------------------------------------------Validation finale des extras -----------------------------------------------

set_extra('1',$extra,'auteur');
echo fin_gauche(), fin_page();

}
?>